/*!
 * Copyright (c) 2019 Eclipse Foundation, Inc.
 * 
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 * 
 * Contributors:
 *   Christopher Guindon <chris.guindon@eclipse-foundation.org>
 * 
 * SPDX-License-Identifier: EPL-2.0
*/

@import '~eclipsefdn-solstice-assets/less/quicksilver/styles.less';
@import '_variables.less';
@import 'transient.less';
@import 'components';

@import '~eclipsefdn-solstice-assets/less/_components/quicksilver/resources-group.less';

h2, h3 {
  margin-top:30px;
}

#header-wrapper{
  background-size:cover;
  background-image: url('images/jumbotron-image.jpg');
  background-position: 0 100%;
  .featured-jumbotron{
    padding-top:48px;
    color:@text-color;
  }
}

#main-menu {
  margin-right:15px;
}

.btn{
  text-transform:uppercase;
}

.logo-eclipse-default{
  padding-top:9px;
}

.logo-eclipse-default-mobile{
  max-width:260px;
}

.featured-ad a{
  float:none;
}

.news-list{
  .news-list-col {
    margin-bottom:0;
    padding-bottom:0;
    h2.heading-line {
      text-align:center;
      border-bottom: 1px solid #ccc;
      padding-bottom: 5px;
    }
  }
  .media-link:hover {
    .box-shadow(3px 3px 3px #cecece);
    background-color: white;
  }
}

.event-list {
  a:visited{
    color: @brand-tertiary;
  }
}

.featured-section{
  padding: 60px 0 50px 0;
  background-position: 0 100%;
  font-size:19px;
  h2{
    font-size: 34px;
    margin-bottom: 40px;
    color: #404047;
    margin-top:0;
    text-transform: uppercase;
  }
  p{
    margin-bottom:20px;
    font-weight:300;
    color: #404047;
  }
  .feather {
    width: 40px;
    height: 40px;
  }
}

.featured-section-darken{
  background: @brand-primary;
  color: #fff;
  h2 {
    color: white;
  }
}

.featured-section-testimonials{
  background-size:cover;
  background-color: @brand-primary;
  background-position: 0 100%;
  h2, p {
    color:@white;
  }
  p {
    text-align:left;
    color:@white;
    font-size:24px;
    font-weight:200;
  }
  p:first-child {
    padding-top:20px;
  }
  .featured-section-testimonials-container {
    margin-bottom:50px;
  }
  .featured-section-testimonials-image {
    width: 190px;
    height: 190px;
    border-radius: 150px;
    overflow: hidden;
    img {
      margin: 0 auto;
      display: inline-block;
      width:190px;
    }
  }
  
  @media (max-width: @screen-xs-max) {
    img, .featured-section-testimonials-image {
      margin:0 auto;
    }
    p{
      text-align:center;
    }
  }
}

.featured-section-members {
  background-color: #efefef;
  .eclipsefdn-members-list {
    gap: 40px 80px;
    a {
      max-width: 160px;
      height: 100px;
    }
  }
}

.testimonial-item {
  margin-top:120px;
  .testimonial-logo {
    background-color: #f9f9f9;
    border-radius: 150px;
    width: 150px;
    height: 150px;
    display: flex;
    align-items: center;
    margin: -120px auto 30px;
    position: relative;
    img {
      margin:0 auto;
    }
  }
  .title {
    font-size:18px;
    display: flex;
    flex-direction: column;
    strong {
      font-size: larger;
    }
  }
  .content {
    font-size:16px;
  }
}

.mission-circle {
  display:block;
  width:300px;
  height:300px;
  padding:37px 26px 34px 40px;
  background-color:@white;
  border-radius:150px;
  margin:0px auto 0;
  img{
    margin-top:72px;
  }
}

.featured-section-statement {
  background-size:cover;
  background-image: url('images/mission-statement-image.jpg');
  background-position: 0 50%;
}

@media (max-width: @screen-xs-max) {
  .featured-section-faq,
  .featured-section-statement{
    text-align:center;
  }
  .mission-circle{
    margin-top: 50px;
  }
}
.featured-jumbotron h1 sup {
  font-size: 0.66em;
  position: relative;
  top: -0.34em;
}

.featured-section-connected,
.featured-footer.featured-story-dark {
  background-image: url('images/mailing-list-image.jpg'); 
  background-size: cover;
}



// News Styles

.featured-section-diagrams {
  text-align:center;
  padding:60px 0;
  background-color:@white;
  h2, h3{
    text-transform:uppercase;
  }
}

.featured-section-diagrams-text {
  margin-bottom:20px;
}

.featured-section-diagrams-img{
  max-height:120px;
}

.featured-section-testimonials-single {
  background-color:@brand-primary;
  color:@white;
}

.featured-section-testimonials-single-image {
  display:block;
  width:210px;
  height:210px;
  border-radius:105px;
  overflow:hidden;
}

.featured-section-join-us {
  background-color:@brand-primary;
  padding:60px 0 30px;
  p {
    color:@white;
    font-size:24px;
    margin-bottom:30px;
  }
  .btn-secondary{
    background-color:#171717;
    border-color:#171717;
    color:@white;
    min-width: 150px;
  }
}

.featured-section-book {
  padding:60px 0;
  p {
    font-size:24px;
    text-align:right;
    font-weight:200;
  }
  
  @media (min-width: @screen-sm-min) {
    .featured-section-book-content {
      padding-top:100px;
    }
  }

  @media (max-width: @screen-xs-max) {
    p {
      text-align:center;
    }
  }
}



.featured-section-contact-form {
  .featured-section-contact-form-image {
    max-height: 205px;
    margin-bottom: 50px;
  }
}


.featured-section-news {
  background-color:#efefef;
  padding:60px 0;
  font-size:14px;
  h2 {
    color:@text-color;
    margin-top: 20px;
    margin-bottom: 10px;
    text-transform:uppercase;
  }
  .heading-line {
    text-align: center;
    border-bottom: 1px solid;
    padding-bottom: 10px;
    margin-bottom: 30px;
  }
  p{
    font-size: 16px;
    line-height: 1.5;
    font-weight: 200;
    &:first-child {
      font-size:12px;
      margin-bottom:10px;
      color:@text-color;
    }
  }
  h3 {
    margin-top:0px;
    a {
      color:@text-color;
    }
  }
  .eclipsefdn-news-list-body {
    margin-bottom:30px;
  }
  .feather {
    width: 60px;
    height: 60px;
    color: @brand-secondary;
  }
}

.featured-section-events {
  text-align:center;
  h2 {
    text-align:center;
  }
}

#events_archive a.btn + .btn {
  margin-left: 20px;
}

.eclipsefnd-video-cover img{
  width: @eclipsefnd-video-cover-width;
  height: calc(1.78 * @eclipsefnd-video-cover-width);
  object-fit: cover;
}

#main-menu .navbar-toggle .icon-bar{
  background-color: @brand-primary;
}


// Compatible Products Page
.compatible-logo {
  max-width: 224px;
}

#header-wrapper.header-sparkplug-compatible-products,
#header-wrapper.header-sparkplug-get-listed {
  background-image: none;
  .jumbotron {
    & {
      background-image: url(images/compatible-products-jumbotron.jpg);
      height: 400px;
      display: flex;
      align-items: center;
    }
    h1 {
      font-weight: 100;
      color: #fff;
      margin-top: 15px;
      margin-bottom: 0;
      &:after {
        border: none;
      }
    }
  }
}

.navbar-headings {
  border-bottom: 1px solid #ddd;
  position: relative;
  display: flex;
  justify-content: space-between;
  h2 {
    display: inline-block;
    margin: 15px 0;
    a {
      padding: 20px;
      font-size: 16px;
      position: relative;
      margin: 0px;
      border-radius: 0;
      font-weight: bold;
      color: #8e8e8e;
      background-color: transparent;
      text-transform: uppercase;
      cursor: pointer;
      &:hover,
      &:focus,
      &:active {
        text-decoration: none;
        color: @brand-primary;
        border-bottom: 3px solid @brand-primary;
      }
    }
    &.active {
      a {
        border: 3px solid @brand-primary;
        border-right: none;
        border-top: none;
        border-left: none;
        font-weight: bold;
        color: @brand-primary;
        background-color: transparent;
      }
    }
  }
}



.compatibility-footer {
  h2 {
    font-weight: 600;
    text-transform: uppercase;
    font-size: 22px;
  }
}

.compatible-products-page {
  #tabs-content {
    border: none;
    padding: 0;
  }

  .navbar-headings h2 a {
    padding-bottom: 24px;
  }
}

#featured-footer.compatible-products-footer,
#featured-footer.get-listed-footer {
  & {
    background-image: url(images/featured-footer-compatible.jpg);
    color: #fff;
  }
  h2 {
    color: #fff;
    margin-top: 20px;
  }
  .btn {
    & {
      background-color: #fff;
      border-color: #fff;
      margin-top: 30px;
      margin-bottom: 15px;
      color: #000;
      font-weight: 600;
      padding: 10px 18px;
    }
    &:hover {
      background-color: #f0f0f0;
      border-color: #f0f0f0;
    }
  }
}

#featured-footer.get-listed-footer {
  background-image: url(images/featured-footer-get-listed.jpg);
}

// Get Listed Page
#header-wrapper.header-sparkplug-get-listed {
  .jumbotron {
    background-image: url(images/get-listed-jumbotron.jpg);
    h1 {
      text-align: left;
      @media (min-width: @screen-sm) {
        width: 200px;
      }
      @media (min-width: @screen-md) {
        margin-left: 0;
        position: relative;
        right: calc(50vw - 146px);
        width: 300px;
      }
      @media (min-width: @screen-lg) {
        position: relative;
        left: -97.5px;
      }
    }
  }
}

.get-listed-page {
  .blue-row {
    background-color: @brand-primary;
    .step-container {
      & {
        position: relative;
        flex: 1;
        max-width: 224px;
        min-width: 224px;
        background-color: #f7f9fa;
        display: flex;
        flex-direction: column;
        align-items: center;
        overflow: hidden;
        transition: all 0.2s ease-out;
        @media (min-width: @screen-md) {
          max-width: 230px;
          min-width: 180px;
        }
      }
      &:hover {
        background-color: @brand-primary;
        transition: all 0.2s ease-out;
        img {
          transform: translateY(-130%);
          opacity: 0;
          transition: all 0.2s ease-in;
        }
        h2 {
          transform: translateY(-420%);
          color: #fff;
          transition: all 0.2s ease-out;
        }
        p {
          color: #fff;
          transform: translateY(-120px);
          opacity: 1;
          transition: transform 0.2s ease-out 0.05;
          transition: opacity 0.2s ease-out 0.08s;
        }
      }
      img {
        width: calc(100% - 120px);
        margin: 30px 0;
        transition: all 0.2s ease-out;
      }
      h2 {
        & {
          margin-bottom: 30px;
          font-size: 24px;
          transition: all 0.2s ease-in-out;
        }
        @media (min-width: @screen-lg) {
          font-size: 30px;
        }
      }
      p {
        & {
          display: flex;
          align-items: center;
          text-align: center;
          position: absolute;
          font-size: 16px;
          padding: 0 20px;
          color: #f7f9fa;
          bottom: -80px;
          opacity: 0;
          transition: all 0.2s ease-in;
        }
        @media (min-width: @screen-lg) {
          font-size: 20px;
        }
      }
    }
  }
  .benefits-container {
    h2 {
      color: @brand-primary;
    }
    ul {
      padding: 20px 15px 0 15px;
      .black-col,
      .blue-col {
        background-color: #363535;
        padding: 35px 30px 35px 50px;
        color: #fff;
        li {
          padding: 10px 0;
        }
      }
      .blue-col {
        background-color: @brand-primary;
      }
    }
  }
  .get-listed-text-container {
    margin-top: 30px;
    h2 {
      color: @brand-primary;
      text-transform: uppercase;
    }
  }
}

ul.nav.nav-tabs.solstice-tabs {
  display: flex;
  justify-content: space-between;
  border-bottom: 1px solid #ddd;
  color: #8e8e8e;

  & > li {
    display: inline-block;
    padding: 20px;
    border: 3px solid transparent;
    font-size: 2rem;
    font-weight: 700;
    line-height: 1.3em;
    text-transform: uppercase;

    &.active, 
    &:hover {
      border-bottom-color: @brand-primary;

      & > a {
        color: @brand-primary;
      }
    }

    a {
      color: #8e8e8e;
    }

    a:hover {
      background-color: transparent;
    }

    a,
    a:link,
    a:visited,
    a:hover,
    a:active {
      border: none;
    }
  }
}

.eclipsefdn-meeting-minutes .tab-content {
  margin-top: 4rem;
}

.hbspt-form {
  padding: 2rem;
  border: 1px solid #ccc;
}
